spring:
  # Redis配置
  redis:
    host: 172.25.176.1
    port: 6379
    password: UfcRpcs
    database: 0
    timeout: 10000
    lettuce:
      pool:
        max-active: 50    # 最大连接数
        max-idle: 20      # 最大空闲连接数
        min-idle: 5       # 最小空闲连接数
        max-wait: -1      # 最大等待时间
      shutdown-timeout: 100
  # MongoDB配置
  data:
    mongodb:
      # MongoDB服务器地址
      host: ${MONGODB_HOST:172.25.176.1}
      # MongoDB端口
      port: ${MONGODB_PORT:27017}
      # 数据库名称
      database: ${MONGODB_DATABASE:iiot_license}
      # 用户名
      username: ${MONGODB_USERNAME:admin}
      # 密码
      password: ${MONGODB_PASSWORD:000000,admin}
      # 认证数据库 (通常是admin)
      authentication-database: ${MONGODB_AUTH_DB:admin}
      # 连接池配置
      options:
        # 最大连接数
        connections-per-host: 20
        # 最小连接数
        min-connections-per-host: 5
        # 连接超时时间(毫秒)
        connect-timeout: 10000
        # Socket超时时间(毫秒)  
        socket-timeout: 0
        # 最大等待时间(毫秒)
        max-wait-time: 120000
      auto-index-creation: true 
  main:
    allow-circular-references: true
    allow-bean-definition-overriding: true
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  cloud:
    sentinel:
      filter:
        # sentinel 在 springboot 2.6.x 不兼容问题的处理
        enabled: false
# 暴露监控端点
management:
  endpoints:
    web:
      exposure:
        include: '*'
license:
  config:
    # 公钥Base64字符串，用于验证许可证签名
    public-key: MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAz0Et6bw0NjlFdxocTsQ9dygGXYGlVp/5ZhQqb5ak9AeGYW1CipqpViQVatR8xWM/+mPeHbuPxXWnvpsR7bffow9Kk2EuEWjz/XEeGTE7H0NKJbNbujpxrmQtGSrxoOCcZvPobWQjLZSmsBZFeC4yaqUWuRTolerwRFK+bPfVrWlWY4Loq22S7M4S/1gzYxCH0qXZyKT6koF1sh0f43vNuzAiTw9Vnz0sGtCN42wN0hFj7ccc1c3lRrifq/BUfjJQAIgZ/60Pdfi/dXoTLBsIHAMpQAuvKktE/jM9LLE4hzpvfB/8Fhd0e37IO4X0fGRFQEznysRxkUnXJFdvVarFowIDAQAB
  module:
    names:
      system: 基础平台
      device: 设备管理
      mes: 生产执行
      AI: 人工智能